package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.ReportReq;
import com.abi.qms.platform.dto.res.ListBrandCodeReportRes;
import com.abi.qms.platform.dto.res.ListFactoryCodeReportRes;
import com.abi.qms.platform.dto.res.ListMaterialCodeRankingReportRes;
import com.abi.qms.platform.dto.res.PackageCodeTypeRes;
import com.abi.qms.platform.service.ReportService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author ludashi
 * @date 2021年06月02日 15:37
 */
@Slf4j
@RestController
@RequestMapping("factory")
@Api(tags = "数据看板")
public class ReportController {

    @Autowired
    private ReportService reportService;

    /**
     * @author ludashi
     * @date 2021/6/2 17:49
     * @param reportReq
     * @return com.abi.task.common.api.base.BaseResponse<com.abi.qms.platform.dto.res.ListBrandCodeReportRes>
     */
    /*@ApiOperation("品牌使用码量占比(603版 已废弃)")
    @GetMapping("/queryBrandCodeProportion")
    public BaseResponse<ListBrandCodeReportRes> queryBrandCodeProportion(@Validated ReportReq reportReq) {
        ListBrandCodeReportRes result= reportService.queryBrandCodeProportion(reportReq);
       return BaseResponse.create(result);
    }*/

    @ApiOperation("码包概况")
    @GetMapping("/queryPackageCodeGeneral")
    public BaseResponse<PackageCodeTypeRes> queryPackageCodeGeneral(@Validated ReportReq reportReq) {
        PackageCodeTypeRes result= reportService.queryPackageCodeGeneral(reportReq);
        return BaseResponse.create(result);
    }

    @ApiOperation("物料使用码量排名")
    @GetMapping("/queryMaterialCodeRanking")
    public BaseResponse<ListMaterialCodeRankingReportRes> queryMaterialCodeRanking(@Validated ReportReq reportReq) {
        ListMaterialCodeRankingReportRes result= reportService.queryMaterialCodeRanking(reportReq);
        return BaseResponse.create(result);
    }

    @ApiOperation("包材厂使用码量，下载率")
    @GetMapping("/queryFactoryCodeReport")
    public BaseResponse<ListFactoryCodeReportRes> queryFactoryCodeTotalReport(@Validated ReportReq reportReq) {
        ListFactoryCodeReportRes result= reportService.queryFactoryCodeTotalReport(reportReq);
        return BaseResponse.create(result);
    }
}
