package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 活动编辑申请码包关联子表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="活动编辑申请码包关联子表对象", description="活动编辑申请码包关联子表")
public class BaseActiveModifyApplyQrPackageMapping {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "修改申请表id(base_active_modify_apply表的主键id)")
    private Long applyId;

	@Schema(name = "活动id(base_active表的主键id)")
    private Long activeId;

	@Schema(name = "码包id")
    private Long qrPackageId;

	@Schema(name = "修改类型: 1-新增 2-删除")
    private Integer modifyType;

	@Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
