package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/06/02 10:20
 * @description:
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name = "sap品牌表对象", description = "sap品牌表")
public class BaseSapBrand {

    @Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Schema(name = "品牌code")
    private String brandCode;

    @Schema(name = "品牌名称")
    private String brandName;

    @Schema(name = "品牌层级")
    private Integer brandLevel;

    @Schema(name = "上级品牌code")
    private String parentBrandCode;

    @Schema(name = "上级品牌名称")
    private String parentBrandName;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;

}
