package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 码包预订单表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="码包预订单表对象", description="码包预订单表")
public class QrPackageBookingOrder {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "预订单号")
    private String bookingOrder;

	@Schema(name = "物料名称")
    private String materialName;

	@Schema(name = "采购数量")
    private Long purchaseCount;

	@Schema(name = "二维码类型 1-箱码 2-盖码")
    private Integer qrType;

	@Schema(name = "包材厂id")
    private Long factoryCoverId;

	@Schema(name = "描述")
    private String description;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
