package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * sap码包订单表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="sap码包订单表对象", description="sap码包订单表")
public class QrPackageSapOrder {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "sap订单号")
    private String sapOrderNo;

	@Schema(name = "订单发起时间")
    private LocalDateTime sapOrderCommitTime;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
