package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author Eurus
 * @date 2021/6/4 15:07
 * @Description: 是否一级包材厂
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum FirstFactoryEnum {

    //是否一级包材厂: 0-不是 1-是
    NOT(0, "不是"),
    YES(1, "是");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<FirstFactoryEnum> ALL = EnumSet.allOf(FirstFactoryEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(FirstFactoryEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(FirstFactoryEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }

}
