package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrBoxMapping;
import com.abi.qms.platform.dao.vo.result.PrintingDetailVO;
import com.abi.qms.platform.dao.vo.result.QrBoxMappingVO;
import com.abi.qms.platform.dto.req.ListQrBoxCodeMappingReq;
import com.abi.qms.platform.dto.req.QrOneBoxCodeMappingReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 箱码关联表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrBoxMappingMapper extends BaseMapper<QrBoxMapping> {

    /**
     * 分页查询箱码合一
     *
     * @param page
     * @param req
     * @return
     */
    IPage<QrBoxMappingVO> listQrBoxCodeMapping(IPage page, @Param("req") ListQrBoxCodeMappingReq req);

    /**
     * 根据码包ID查询箱码合一打印详情
     *
     * @param packageId 码包ID
     * @return
     */
    PrintingDetailVO getPrintingDetail(@Param("packageId") Long packageId);

    /**
     * 根据码包ID和序列号查询关联激活信息单条数据
     * @param req
     * @return
     */
    QrBoxMappingVO getIndexQrBoxCodeMappingOne(@Param("req") QrOneBoxCodeMappingReq req);
}
