package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackage;
import com.abi.qms.platform.dao.vo.result.*;
import com.abi.qms.platform.dto.req.ListActivePackageAddReq;
import com.abi.qms.platform.dto.req.ListQrPackageReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * 码包 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
public interface QrPackageMapper extends BaseMapper<QrPackage> {

	/**
	 * 分页查询码包信息
	 */
	IPage<QrPackageVO> listQrPackage(IPage page, @Param("param") ListQrPackageReq param);

	/**
	 * 查询码包详细信息
	 */
	QrPackageVO selectQrPackageDetailById(Long id);


	/**
	 * 单码查询详细信息
	 */
	QrSingleCheckVO getQrSingleCheckDetailById(@Param("id") Long id);



	//    6.03已废弃
//	/**
//	 * 通过码活动id查询关联码包列表
//	 * @param page
//	 * @param activeId
//	 * @return
//	 */
//	IPage<ActivePackageVO> listPackageById(IPage page, @Param("id") Long activeId);
//
//
//	/**
//	 * 通过品牌code查询关联码包列表
//	 * @param page
//	 * @param req
//	 * @return
//	 */
//	IPage<PackageActiveSearchVO> listPackageByBrandCode(IPage page, @Param("param") ListActivePackageAddReq req);
//
//
//	/**
//	 * 通过码活动id查询关联码包列表(关联码活动申请表)
//	 * @param page
//	 * @return
//	 */
//	IPage<ActiveModifyApplyPackageVO> listPackageByActiveApplyId(IPage page, @Param("activeId") Long activeId);
}
