package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码包 对象 qr_package
 *
 * @author WeiganCai
 * @date: 2021-04-28
 */
@Data
@ApiModel
public class QrPackageVO implements Serializable {

    @ApiModelProperty("码包id")
    private Long id;

    @ApiModelProperty(value = "物料id")
    private Long materialId;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty(value = "包材厂id")
    private Long factoryCoverId;

    @ApiModelProperty("包材厂名称")
    private String factoryCoverName;

    @ApiModelProperty(value = "啤酒厂id")
    private Long factoryBeerId;

    @ApiModelProperty("啤酒厂名称")
    private String factoryBeerName;

    //603版 sku已作废
    /*@ApiModelProperty("SKU名称")
    private String skuName;*/

    @ApiModelProperty(value = "备用码包")
    private Integer standbyRatio;

    @ApiModelProperty("箱码幅面id")
    private Long boxCodeFormatId;

    @ApiModelProperty("箱码幅面名称")
    private String boxCodeFormatName;

    @ApiModelProperty("码库id")
    private Long qrRepertoryId;

    @ApiModelProperty("码库名称")
    private String qrRepertoryName;

    @ApiModelProperty("码库类型")
    private Integer qrRepertoryType;

    @ApiModelProperty("SAP单号")
    private String sapOrderNo;

    @ApiModelProperty("码数量")
    private Long qrNumber;

    @ApiModelProperty("码类型")
    private Integer qrType;

    @ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
    private Integer applyStatus;

    @ApiModelProperty("生成状态 0-未生成 1-生成中 2-已生成 3-失败")
    private Integer generateStatus;

    @ApiModelProperty(value = "申请原因")
    private String reasonApply;

    @ApiModelProperty("下载路径")
    private String downloadPath;

    @ApiModelProperty("是否已下载")
    private Integer isDownload;

    @ApiModelProperty(value = "码包下载记录")
    private List<QrPackageDownloadRecordVO> qrPackageDownloadRecordList;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "创建人名称")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateBy;

    @ApiModelProperty(value = "码包批次列表")
    private List<QrPackageBatchVO> qrPackageBatchVOList;

    @ApiModelProperty(value = "是否作废 0-未作废 1-已作废")
    private Integer invalid;

}
