package com.abi.qms.platform.dto.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author ludashi
 * @date 2021年06月04日 15:24
 * 新增/修改预订单入参
 */
@Data
@ApiModel
public class SaveOrderFormReq implements Serializable {

    @ApiModelProperty( "id")
    private Long id;

    @Size(max = 20, message = "预订单号长度超过20")
    @ApiModelProperty( "预订单号")
    private String bookingOrder;

    @Size(max = 50, message = "物料名称长度超过50")
    @NotNull(message = "物料名称为空")
    @ApiModelProperty( "物料名称")
    private String materialName;

    @NotNull(message = "采购数量为空")
    @ApiModelProperty( "采购数量")
    private Long purchaseCount;

    @NotNull(message = "二维码类型为空")
    @ApiModelProperty( "二维码类型 1-箱码 2-盖码")
    private Integer qrType;

    @NotNull(message = "包材厂为空")
    @ApiModelProperty( "包材厂id")
    private Long factoryCoverId;

    @Size(max = 50, message = "描述长度超过50")
    @ApiModelProperty( "描述")
    private String description;

    @ApiModelProperty( "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty( "创建人id")
    private Long createBy;

    @ApiModelProperty( "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty( "修改人id")
    private Long updateBy;

    @ApiModelProperty( "是否删除")
    private Integer isDelete;
}
