package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 码库的列新增修改入参
 *
 * @author WeiganCai
 * @date: 2021-04-26
 */
@Data
@ApiModel
public class SaveQrRepertoryColumnReq implements Serializable {

    @ApiModelProperty("码格式id")
    private Long qrFormatId;

    @ApiModelProperty("排序号")
    private Integer sortNumber;

    @NotNull(message = "列别名为空")
    @Pattern(regexp = "^[a-zA-Z-z0-9\\u4e00-\\u9fa5]{1,20}$", message = "列别名限制20字内的汉字or字母or数字")
    @ApiModelProperty("别名")
    private String alias;

    @NotNull(message = "URL格式为空")
    @ApiModelProperty("url格式类型 0-非URL 1-系统URL 2-部门URL")
    private Integer urlType;

    @Size(max = 50, message = "备注长度超过50")
    @ApiModelProperty("备注")
    private String remark;

}
