package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 11:12
 * @description:
 */
@Data
@ApiModel
public class ListBoxCodeFormatRes extends PageResp implements Serializable {

    @ApiModelProperty("箱码幅面列表")
    private List<ListBoxCodeFormatRes.BoxCodeFormatBean> boxCodeFormatBeanList;

    /**
     * 箱码幅面bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListBoxCodeFormatRes_BoxCodeFormatBean")
    public static class BoxCodeFormatBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "箱码幅面名称")
        private String name;

        @ApiModelProperty(value = "码库名称")
        private String qrRepertoryName;

        @ApiModelProperty(value = "包材厂名称")
        private String factoryName;

        @ApiModelProperty(value = "每卷色标量")
        private Integer colorPerRollScalar;

        @ApiModelProperty(value = "幅面数量")
        private Integer formatNumber;

        @ApiModelProperty(value = "备注")
        private String remark;

        @ApiModelProperty(value = "状态 1-启用 0-停用")
        private Integer state;

        @ApiModelProperty(value = "创建人")
        private Long createBy;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "修改人")
        private Long updateBy;

        @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }
}
