package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月04日 18:05
 */
@Data
@Schema
public class QueryOrderFormDetailRes implements Serializable {

    @ApiModelProperty("关联码包列表")
    List<QueryPackageDetailBean> queryPackageDetailBean;

    @ApiModelProperty("预订单号")
    private String bookingOrder;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("采购数量")
    private Long purchaseCount;

    @ApiModelProperty("二维码类型 1-箱码 2-盖码")
    private Integer qrType;

    @ApiModelProperty("包材厂")
    private String factoryCoverName;

    @ApiModelProperty("描述")
    private String description;

    /**
     * 码包对象
     *
     * @author ludashi
     * @date 2021/6/4 18:19
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "QueryOrderFormDetailRes_QueryPackageDetailBean")
    public static class QueryPackageDetailBean implements Serializable {

        @ApiModelProperty("码包ID")
        private Long packageId;

        @ApiModelProperty("包包含数量")
        private Long batchQrNumber;

        @ApiModelProperty("申请人")
        private Long applicationName;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty("申请时间")
        private LocalDateTime applicationTime;

    }

}
