package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/19 20:20
 * @Description: 校验是否存在SAP订单号和物料重复数据 出参
 */
@Data
@ApiModel
public class ValidSAPOrderNoAndMaterialRes implements Serializable {

    @ApiModelProperty("码包bean列表")
    private List<PackageBean> packageBeanList;

    /**
     * 码包bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ValidSAPOrderNoAndMaterialRes_PackageBean")
    public static class PackageBean implements Serializable {
        @ApiModelProperty(value = "码包id")
        private Long id;
    }
}
