package com.abi.qms.platform.infrastructure.util;

import com.abi.qms.platform.feign.SmsClient;
import com.abi.smscenter.dto.SmsTemplateMsgDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * 发送短信工具类
 * @author AndyTan
 */
@Component
public class SmsUtil {

    @Autowired
    private SmsClient smsClient;

    @Value("${qms.sms.requestId}")
    private String requestId;
    @Value("${qms.sms.source}")
    private String source;
    @Value("${qms.sms.templateCode}")
    private String templateCode;
    @Value("${qms.sms.signName}")
    private String signName;

    public void sendCode(String mobile, String code) {
        SmsTemplateMsgDto smsDto = new SmsTemplateMsgDto();
        smsDto.setPhones(mobile);
        //uuid
        smsDto.setRequestId(String.valueOf(UUID.randomUUID()));
        //qms-codepackage
        smsDto.setSource(source);
        //模板code
        smsDto.setTemplateCode(templateCode);
        //签名-酒先锋
        smsDto.setSignName(signName);
        //短信内容
        Map<String, Object> map = new HashMap<>();
        map.put("code", code);
        smsDto.setParamMap(map);
        smsClient.sendTemplateMsg(smsDto);
    }

}
