package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.BaseFactory;
import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.ExcelImportRes;
import com.abi.qms.platform.dto.res.GetFactoryDetailRes;
import com.abi.qms.platform.dto.res.ListBeerFactorySelectRes;
import com.abi.qms.platform.dto.res.ListFactoryEnableRes;
import com.abi.qms.platform.dto.res.ListFactoryRes;
import com.abi.qms.platform.dto.res.ListFactorySelectRes;
import com.abi.qms.platform.dto.res.ListCoverFactorySelectRes;
import com.abi.task.common.excel.preperties.FactoryProperty;

import java.util.List;

/**
 * <p>
 * 供应商管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface FactoryService {

    /**
     * 供应商新增修改
     *
     * @param saveFactoryReq
     * @throws Exception
     */
    void saveFactory(SaveFactoryReq saveFactoryReq) throws Exception;

    /**
     * 供应商查询分页
     * @param listFactoryReq
     * @return
     * @throws Exception
     */
    ListFactoryRes listFactory(ListFactoryReq listFactoryReq) throws Exception;

    GetFactoryDetailRes getFactoryDetail(GetFactoryDetailReq getFactoryDetailReq) throws Exception;

    void enableFactory(EnableFactoryReq enableFactoryReq) throws Exception;

    void disableFactory(DisableFactoryReq disableFactoryReq) throws Exception;

    ExcelImportRes factoryExcelImport(List<FactoryProperty> factoryPropertyList) throws Exception;

    /**
     * 启用中的供应商列表
     *
     * @return
     */
    ListFactoryEnableRes listFactoryEnable();

    ListFactorySelectRes listFactorySelectRes(ListFactorySelectReq req);

    /**
     * code+类型查询供应商
     * @param factoryCode
     * @param factoryType
     * @return
     */
    BaseFactory getFactoryByCode(String factoryCode,Integer factoryType);

    //    6.03已废弃
//    /**
//     * 包材厂下拉列表（数据权限隔离）
//     *
//     * @return
//     */
//    ListFactorySelectRes listPackageFactorySelect(ListFactorySelectReq req);
//
//    /**
//     * 啤酒厂下拉列表
//     *
//     * @return
//     */
//    ListBeerFactorySelectRes listBeerFactorySelect();
//
//    /**
//     * 所有包材厂数据
//     *
//     * @return
//     */
//    ListCoverFactorySelectRes listCoverFactorySelect();
}
