package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.ActiveBoxCodeReq;
import com.abi.qms.platform.dto.req.GenerateBarCodeReq;
import com.abi.qms.platform.dto.req.ListQrBoxCodeMappingReq;
import com.abi.qms.platform.dto.req.PrintingDetailReq;
import com.abi.qms.platform.dto.res.ListQrBoxCodeMappingRes;
import com.abi.qms.platform.dto.res.PrintingDetailRes;
import com.abi.qms.platform.dto.res.QrBoxCodeUploadRes;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * @author: fangxinjian
 * @date: 2021/05/27 11:18
 * @description:
 */
public interface QrBoxMappingService {

    /**
     * 生成条形码
     *
     * @param generateBarCodeReq
     */
    void generateBarCode(GenerateBarCodeReq generateBarCodeReq);

    /**
     * 分页查询箱码合一
     *
     * @param listQrBoxCodeMappingReq
     * @return
     */
    ListQrBoxCodeMappingRes listQrBoxCodeMapping(ListQrBoxCodeMappingReq listQrBoxCodeMappingReq);

    /**
     * 箱码合一文件上传
     *
     * @param map
     * @return
     */
    QrBoxCodeUploadRes uploadCodeFiles(Map<String, MultipartFile> map, Long packageId);

    /**
     * 根据ID激活码包
     *
     * @param activeBoxCodeReq
     */
    void activeBoxCode(ActiveBoxCodeReq activeBoxCodeReq);

    /**
     * 根据码包ID查询箱码合一打印详情
     *
     * @param printingDetailReq
     * @return
     */
    PrintingDetailRes getPrintingDetail(PrintingDetailReq printingDetailReq);

    /**
     * 根据ID作废码包
     *
     * @param activeBoxCodeReq
     */
    void invalidBoxCode(ActiveBoxCodeReq activeBoxCodeReq);
}