package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.AssociateSapOrderReq;
import com.abi.qms.platform.dto.req.QueryOrderFormDetailReq;
import com.abi.qms.platform.dto.req.QueryOrderFormLimitReq;
import com.abi.qms.platform.dto.req.SaveOrderFormReq;
import com.abi.qms.platform.dto.res.QueryOrderFormDetailRes;
import com.abi.qms.platform.dto.res.QueryOrderFormLimitRes;
import com.abi.qms.platform.dto.res.ReservationOrderQueryRes;

public interface QrPackageBookingOrderService {

    /**
     * 新增修改预订单
     * @author ludashi
     * @date 2021/6/4 18:49
     * @param saveOrderFormReq
     */
    void saveOrderForm(SaveOrderFormReq saveOrderFormReq);

    /**
     * 查看预订单详情
     * @author ludashi
     * @date 2021/6/4 18:50
     * @param queryOrderFormDetailReq
     * @return com.abi.qms.platform.dto.res.QueryOrderFormDetailRes
     */
    QueryOrderFormDetailRes queryOrderFormDetail(QueryOrderFormDetailReq queryOrderFormDetailReq);

    /**
     * 查看预订单查询分页
     * @author ludashi
     * @date 2021/6/7 9:45
     * @param queryOrderFormLimitReq
     */
    QueryOrderFormLimitRes queryOrderFormLimit(QueryOrderFormLimitReq queryOrderFormLimitReq);

    /**
     * 关联sap单号
     * @author ludashi
     * @date 2021/6/7 11:45
     * @param associateSapOrderReq
     */
    void associateSapOrder(AssociateSapOrderReq associateSapOrderReq);

    /**
     * 预订单下拉框选项
     * @author ludashi
     * @date 2021/6/7 17:56
     */
    ReservationOrderQueryRes reservationOrderQuery();


}
