package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.ReportReq;
import com.abi.qms.platform.dto.res.ListBrandCodeReportRes;
import com.abi.qms.platform.dto.res.ListFactoryCodeReportRes;
import com.abi.qms.platform.dto.res.PackageCodeTypeRes;
import com.abi.qms.platform.dto.res.ListMaterialCodeRankingReportRes;

/**
 * @author ludashi
 * @date 2021年06月02日 15:39
 */
public interface ReportService {

   /**
    * (603版 品牌使用码量占比列表 已废弃)
    * @author ludashi
    * @date 2021/6/2 17:50
    * @param reportReq
    * @return com.abi.qms.platform.dto.res.ListBrandCodeReportRes
    */
   //ListBrandCodeReportRes queryBrandCodeProportion(ReportReq reportReq);

   /**
    * 获取码包概况
    * @author liguosong
    * @date 2021/6/2
    * @param reportReq
    * @return
    */
   PackageCodeTypeRes queryPackageCodeGeneral(ReportReq reportReq);


   /**
    * 物料使用码量排名
    * @param reportReq
    * @return
    */
   ListMaterialCodeRankingReportRes queryMaterialCodeRanking(ReportReq reportReq);


    /**
     * 包材厂使用码量，下载率
     * @param reportReq
     * @return
     */
    ListFactoryCodeReportRes queryFactoryCodeTotalReport(ReportReq reportReq);
}
